# Method Stdio.Fd()->tcsendbreak()

Method tcsendbreak

  ``bool` tcsendbreak(`int`|`void` `duration`)`

Description

  Send a break signal.

Parameter `duration`

  Duration to send the signal for. `0` (zero) causes a break signal to be sent for between 0.25 and 0.5 seconds. Other values are operating system dependent:

  SunOS

    The number of joined break signals as above.

  Linux, AIX, Digital Unix, Tru64

    The time in milliseconds.

  FreeBSD, NetBSD, HP-UX, MacOS

    The value is ignored.

  Solaris, Unixware

    The behavior is changed to be similar to tcdrain().

Returns

  Returns `1` on success and `0` (zero) on failure.